%global dlrn_nvr 5.0.1-2.20230811230058.30f9f59
%global dlrn 1
%define upstream_version 5.0.1
%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-ceph
%global commit 5e02589db0f2e9bf1c13157e737a792a27a77d5f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

%if 0%{?dlrn}
%define upstream_name openstack-ceph
%else
%define upstream_name puppet-ceph
%endif

Name:           puppet-ceph
Version: 5.0.1
Release: 2.20230811230058.30f9f59%{?dist}
Summary:        Community Developed Ceph Module
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ceph

Source0: 5.0.1-2.20230811230058.30f9f59.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=30f9f59fe566292fb3a2322481824a368620edbe

BuildArch:      noarch

#Requires:       puppet-apt
Requires:       puppet-apache
Requires:       puppet-concat
Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet-keystone
Requires:       puppet >= 2.7.0

%description
Community Developed Ceph Module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/



%files
%{_datadir}/openstack-puppet/modules/ceph/


%changelog
* Fri Aug 11 2023 OSP Prod Chain <dev-null@redhat.com> 5.0.1-2.20230811230058.30f9f59
- Update patches
- Exclude release note files

* Thu Aug 10 2023 OSP Prod Chain <dev-null@redhat.com> 5.0.1-2.20230810225147.070a90c
- Update patches
- Add .pdkignore to exclude some files from tar ball

* Tue Aug 08 2023 OSP Prod Chain <dev-null@redhat.com> 5.0.0-2.20230808230500.3790600
- Update patches
- Add support for rgw_keystone_accepted_admin_roles
- Do not use params to define parameter defaults of defined types
- Deprecate support for mod_fastcgi
- Add recent operating system versions to supported versions

* Fri Aug 04 2023 OSP Prod Chain <dev-null@redhat.com> 5.0.0-2.20230804225213.6ee452a
- Update patches
- Prepare new puppet-ceph release

* Mon Jul 31 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230801010042.c593d08
- Update patches
- rgw profile: Support keystone integration
- Remove `Member` role
- Fix ineffective rgw_service parameter

* Sat Jul 29 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230729225406.f4f2d75
- Update patches
- Fix ignored ceph::rgw::rgw_data
- Stop creating /var/lib/ceph/radosgw
- Remove deprecated ceph::set_osd_params

* Thu Jul 27 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230728005156.aa95eef
- Update patches
- Use https for CentOS Stream 9 mirror
- Stop creating /var/lib/ceph/mgr
- Validate input of ceph::conf
- Ensure absolute path for file creation
- Fix unknown variable errors caused by ceph::profile::fsid

* Mon Jul 24 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230724225001.ee90ea8
- Update patches
- Ensure public_addr option is purged
- Fix undefined variables caused by exec_timeout
- Validate authentication_type
- Ensure valid value for store_type
- Validate ensure parameter using the typed parameters
- repo: Fix undefined $el

* Sun Jul 23 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230723235325.2eec134
- Update patches
- Fix missing ceph::params

* Fri Jul 21 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230722004941.8bc67e2
- Update patches
- Partially fix undefined variables

* Thu Jul 20 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230721005032.f099898
- Update patches
- Remove deprecated ceph::rgw::syslog

* Wed Jul 19 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230719224920.35c1173
- Update patches
- Validate boolean values
- ceph::repo : Ensure boolean values
- Stop including the stdlib class

* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230623004845.b59f702
- Update patches
- replace validate_legacy with proper data types

* Wed May 31 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.1-2.20230601015003.18055e7
- Update patches
- Ensure mds key are created before starting ceph-mds

* Thu Apr 27 2023 OSP Prod Chain <dev-null@redhat.com> 4.1.0-2.20230428005032.88b58f0
- Update patches
- Adjust version for new release

* Mon Apr 17 2023 OSP Prod Chain <dev-null@redhat.com> 5.0.0-2.20230418005005.c50e1ad
- Update patches
- Bump upper version of puppetlabs-concat
- Bump upper version of puppetlabs-inifile
- Prepare a new puppet-ceph release

* Sat Mar 11 2023 OSP Prod Chain <dev-null@redhat.com> 4.0.1-2.20230312005130.ac74f1c
- Update patches
- yumrepo: Replace old enabled parameter

* Fri Mar 10 2023 OSP Prod Chain <dev-null@redhat.com> 4.0.1-2.20230311005209.ee4bfa0
- Update patches
- Support array for rgw_frontend
- Add support for ms_bind_ipv4

* Tue Mar 07 2023 OSP Prod Chain <dev-null@redhat.com> 4.0.1-2.20230308005004.1f80fff
- Update patches
- Fix test coverage for old OS/puppet versions
- Replace legacy facts and use fact hash

* Tue Jan 17 2023 OSP Prod Chain <dev-null@redhat.com> 4.0.1-2.20230118004934.b6731d2
- Update patches
- Support Ubuntu Jammy (22.04)

* Mon Nov 21 2022 OSP Prod Chain <dev-null@redhat.com> 4.0.1-2.20221122004818.8901fe0
- Update patches
- Add back unit tests with Puppet 5 + CentOS 8 Stream

* Sat Sep 10 2022 OSP Prod Chain <dev-null@redhat.com> 4.0.1-2.20220910224732.babc78c
- Update patches
- Bump upper version of puppetlabs-apt

* Thu Aug 25 2022 OSP Prod Chain <dev-null@redhat.com> 4.0.0-2.20220826011114.df68c47
- Update patches
- rgw: Support Barbican integration settings
- Prepare puppet-ceph 4.0.0

* Mon Aug 22 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-2.20220823005204.f4ebd36
- Update patches
- Add back support for Puppet 5.x
- Do not override supported OS
- Add CentOS 9 and RHEL 9 to supported operating systems
- rgw: Add support for rgw_enable_apis
- rgw: support more Swift-related options
- rgw: Add suport for the beast frontend library
- Remove support for upstart
- rgw: Refactor the logic to support multiple fronend_type

* Sat Aug 20 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-2.20220821005128.29ca5f4
- Update patches
- Use integer for apache::vhost::port

* Thu Aug 04 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-2.20220804180648.0d28ee1
- Update patches
- Bump upper version of puppetlabs-apt

* Thu Jun 30 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-2.20220701035244.aeb5f40
- Update patches
- Update source url to opendev

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-2.20220513005400.81a137e
- Update patches
- Remove workaround for old p-o-i manifest

* Mon Apr 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-2.20220426010509.1fa388f
- Update patches
- Fix CentOS Stream 9 repo url

* Thu Apr 21 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.1-2.20220422010805.b0c34c7
- Update patches
- Release 3.2.1
- Add back CentOS/RHEL 7 to supported operating systems
- Remove support for Ubuntu 16.04 (Xenial)

* Thu Mar 31 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.0-2.20220401010255.82343e1
- Update patches
- setuptools: Disable auto discovery

* Wed Mar 09 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.0-2.20220310005540.c9dc5ce
- Update patches
- remove unicode literal from code

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.2.0-2.20220225005326.f17e540
- Update patches
- Release 3.2.0

* Sun Feb 20 2022 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20220221005229.e13544a
- Update patches
- CentOS: Allow fixing repository url for CentOS Stream

* Tue Jan 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20220126005207.92da935
- Update patches
- Add unit tests of ceph::rgw::keystone::auth

* Wed Dec 29 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20211230004837.201e8b1
- Update patches
- Deprecated pid_max and remove sysctl module dependency

* Wed Dec 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20211209004857.28a866b
- Update patches
- Hide credential strings from puppet logs
- Remove workaround for issue caused by default ldap secret

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20211201005015.72584e5
- Update patches
- Bump upper versions
- Fix unit test failure with recent puppetlabs-inifile

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20211003004818.56d0441
- Update patches
- Add information technology in the setup.cfg
- Add license information in the setup.cfg
- Delete useless code for setup.py

* Wed Sep 29 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210930004817.ef2e847
- Update patches
- Stop configuring install_command in tox.
- Fix pbr>=2.0.0 for setup.py
- Update openstackdocstheme to the latest version

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210929004814.1afd64b
- Update patches
- Update reno to the latest version

* Mon Aug 16 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210816224811.3a1a8bb
- Update patches
- Support Puppet 7

* Thu Jul 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210708224805.6edfc34
- Update patches
- Drop Fedora support

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210603181657.ffa80da
- Update patches
- Set fixture paths for unit tests

* Tue Jun 01 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210602015720.b86ad15
- Update patches
- Update IRC network to OFTC

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210601022747.a733e34
- Update patches
- setup.cfg: Replace dashes with underscores
- Fix lint errors with the latest lint packages

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.2-2.20210528120644.8283dc4
- Update patches

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Bump dependency in metadata.json

* Sat Mar 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Update sphinx to the latest version

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Add Ubuntu Focal to the supporrted operating systesm

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Sep 17 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Remove beaker

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Use openstack_spec_helper from zuul checkout

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Update Puppet requirement to >= 6.0.0

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Release 3.1.1

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Fix CentOS Storage SIG mirror URL

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Add CentOS8 to nodesets

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Release 3.1.0
- Remove legacy StackForge from authors in metadata

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Bump openstackdocstheme to 1.30.0

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Resolve duplicated requirement names in metadata

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 3.0.0-1
- Update patches

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for CentOS 8

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches




